## org.apache.lucene.analysis.fr
Class FrenchAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.fr.FrenchAnalyzer

    public final class FrenchAnalyzer

extends org.apache.lucene.analysis.Analyzer

`Analyzer` for French language.

Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (word that will not be stemmed, but indexed). A default set of stopwords is used unless an alternative list is specified, but the exclusion list is empty by default.

You must specify the required `Version` compatibility when creating FrenchAnalyzer:

- As of 2.9, StopFilter preserves position increments

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Version:
  $Id: FrenchAnalyzer.java 829816 2009-10-26 14:49:39Z mikemccand $

Field Summary
`static java.lang.String[]` `FRENCH_STOP_WORDS` Extended list of typical French stopwords.

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`FrenchAnalyzer()` Deprecated. Use `FrenchAnalyzer(Version)` instead.
`FrenchAnalyzer(java.io.File stopwords)` Deprecated. Use `FrenchAnalyzer(Version, File)` instead
`FrenchAnalyzer(java.lang.String[] stopwords)` Deprecated. Use `FrenchAnalyzer(Version, String[])` instead.
`FrenchAnalyzer(org.apache.lucene.util.Version matchVersion)` Builds an analyzer with the default stop words (`FRENCH_STOP_WORDS`).
`FrenchAnalyzer(org.apache.lucene.util.Version matchVersion, java.io.File stopwords)` Builds an analyzer with the given stop words.
`FrenchAnalyzer(org.apache.lucene.util.Version matchVersion, java.lang.String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`org.apache.lucene.analysis.TokenStream` `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)` Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
`void` `setStemExclusionTable(java.io.File exclusionlist)` Builds an exclusionlist from the words contained in the given file.
`void` `setStemExclusionTable(java.util.Map exclusionlist)` Builds an exclusionlist from a Map.
`void` `setStemExclusionTable(java.lang.String[] exclusionlist)` Builds an exclusionlist from an array of Strings.
`org.apache.lucene.analysis.TokenStream` `tokenStream(java.lang.String fieldName, java.io.Reader reader)` Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRENCH_STOP_WORDS

    public static final java.lang.String[] FRENCH_STOP_WORDS

  Extended list of typical French stopwords.

Constructor Detail

### FrenchAnalyzer

    public FrenchAnalyzer()

  Deprecated. Use `FrenchAnalyzer(Version)` instead.

  Builds an analyzer with the default stop words (`FRENCH_STOP_WORDS`).

### FrenchAnalyzer

    public FrenchAnalyzer(org.apache.lucene.util.Version matchVersion)

  Builds an analyzer with the default stop words (`FRENCH_STOP_WORDS`).

### FrenchAnalyzer

    public FrenchAnalyzer(java.lang.String[] stopwords)

  Deprecated. Use `FrenchAnalyzer(Version, String[])` instead.

  Builds an analyzer with the given stop words.

### FrenchAnalyzer

    public FrenchAnalyzer(org.apache.lucene.util.Version matchVersion,
                          java.lang.String[] stopwords)

  Builds an analyzer with the given stop words.

### FrenchAnalyzer

    public FrenchAnalyzer(java.io.File stopwords)
                   throws java.io.IOException

  Deprecated. Use `FrenchAnalyzer(Version, File)` instead

  Builds an analyzer with the given stop words.

  Throws:
    `java.io.IOException`

### FrenchAnalyzer

    public FrenchAnalyzer(org.apache.lucene.util.Version matchVersion,
                          java.io.File stopwords)
                   throws java.io.IOException

  Builds an analyzer with the given stop words.

  Throws:
    `java.io.IOException`

Method Detail

### setStemExclusionTable

    public void setStemExclusionTable(java.lang.String[] exclusionlist)

  Builds an exclusionlist from an array of Strings.

### setStemExclusionTable

    public void setStemExclusionTable(java.util.Map exclusionlist)

  Builds an exclusionlist from a Map.

### setStemExclusionTable

    public void setStemExclusionTable(java.io.File exclusionlist)
                               throws java.io.IOException

  Builds an exclusionlist from the words contained in the given file.

  Throws:
    `java.io.IOException`

### tokenStream

    public final org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                                    java.io.Reader reader)

  Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`
  Returns:
    A `TokenStream` built from a `StandardTokenizer` filtered with `StandardFilter`, `StopFilter`, `FrenchStemFilter` and `LowerCaseFilter`

### reusableTokenStream

    public org.apache.lucene.analysis.TokenStream reusableTokenStream(java.lang.String fieldName,
                                                                      java.io.Reader reader)
                                                               throws java.io.IOException

  Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.

  Overrides:
    `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
  Returns:
    A `TokenStream` built from a `StandardTokenizer` filtered with `StandardFilter`, `StopFilter`, `FrenchStemFilter` and `LowerCaseFilter`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.